#!/usr/bin/env python
from dunamai import Version
from setuptools import config, find_packages, setup

metadata = config.read_configuration('setup.cfg')['metadata']

setup(
    name=metadata['name'],
    version=Version.from_any_vcs().serialize(),
    author=metadata['author'],
    author_email=metadata['author_email'],
    description=metadata['description'],
    long_description=metadata['long_description'],
    long_description_content_type='text/markdown',
    url=metadata['url'],
    packages=find_packages(),
    python_requires='>=3.8',
    setup_requires=['dunamai', 'setuptools>=41.2', 'wheel'],
    install_requires=['psycopg2-binary', 'pyproj', 'shapely', 'sshtunnel'],
    extras_require={'testing': ['coverage', 'flake8', 'nose'], 'development': ['oitnb']},
    test_suite='nose.collector',
)
